# BillPayment Response Endpoint

### **Biller server to Biller Protocol**

<mark style="color:blue;">**Request Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type                               |                                                                                                                                     |
| -------------------------------------- | --------------------- | --------- | --------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| \[ROOT] (No parent property / element) | errorCode             | M         | String Fixed Length – 6                 | <p>Carries the compliance code indicating the reason for a failed</p><p>transaction – not required for a successful transaction</p> |
|                                        | errorDescription      | M         | String Min Length – 1, Max Length – 100 | <p>Description of the compliance code – not required for a</p><p>successful transaction</p>                                         |
|                                        | status                | M         | String Format: Successful/Failure       | Status of the bill fetch responseSuccessful/Failure                                                                                 |
|                                        | tenantId              | M         | String Fixed length - 4                 | OU ID of the BOU                                                                                                                    |

**Json Formatted Response Example**

```json
    {
    "reason":"String",
    "code":"Integer", "status":"String"
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-biller-integration/bbps-api-list/bill-pay-api/billpayment-response-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
